/* 
 * tkimgStubLib.c --
 *
 *	Stub object that will be statically linked into extensions that wish
 *	to access the TKIMG API.
 *
 * Copyright (c) 2002 Andreas Kupries <andreas_kupries@users.sourceforge.net>
 * Copyright (c) 2002 Andreas Kupries <andreas_kupries@users.sourceforge.net>
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: tkimgStubLib.c 92 2006-07-13 12:57:07Z nijtmans $
 */

#ifndef USE_TCL_STUBS
#define USE_TCL_STUBS
#endif

#include "tkimg.h"

TkimgStubs *tkimgStubsPtr;

/*
 *----------------------------------------------------------------------
 *
 * Tkimg_InitStubs --
 *
 *	Checks that the correct version of Blt is loaded and that it
 *	supports stubs. It then initialises the stub table pointers.
 *
 * Results:
 *	The actual version of BLT that satisfies the request, or
 *	NULL to indicate that an error occurred.
 *
 * Side effects:
 *	Sets the stub table pointers.
 *
 *----------------------------------------------------------------------
 */

#ifdef Tkimg_InitStubs
#undef Tkimg_InitStubs
#endif

CONST char *
Tkimg_InitStubs(interp, version, exact)
    Tcl_Interp *interp;
    CONST84 char *version;
    int exact;
{
    CONST char *result;
    ClientData data;

    result = Tcl_PkgRequireEx(interp, PACKAGE_TCLNAME, version, exact, &data);
    if (!result || !data) {
        return (char *) NULL;
    }

    tkimgStubsPtr = (TkimgStubs *) data;
    return result;
}
